Get billing cycle
curl --request GET \
--url https://api.instacloud.com/orgs/{orgId}/billing/cycle \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instacloud.com/orgs/{orgId}/billing/cycle"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instacloud.com/orgs/{orgId}/billing/cycle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tier": "free",
"cycleStart": "2023-11-07T05:31:56Z",
"cycleEnd": "2023-11-07T05:31:56Z",
"anchorDay": 123,
"now": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}Billing
Get billing cycle
Token scope: account · org — read-only tokens allowed.
Current billing-cycle window (frontend uses it to compute from/to for overview/daily)
GET
/
orgs
/
{orgId}
/
billing
/
cycle
Get billing cycle
Authorizations
Session access JWT or an API token (insta_<prefix>_<secret>).